package com.jeeplus.modules.sg.managementcenter.materialplan.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class MaterialPlan extends DataEntity<MaterialPlan> {
    private String uniqueCode;//物资唯一码（批次编码）
    private String requireCoding;//需求物资编码
    private String description;//物料描述
    private String expansionCode;//物料扩展编码
    private String expansionDescription;//物料扩展描述
    private String bigDescribe;//大类描述
    private String moderateDescribe;//中类描述
    private String smallDescribe;//小类描述
    private String requireNumber;//需求数量
    private String util;//单位
    private String planToBatch;//计划批次
    private Date deliverySchedule;//供货计划到日
    private String flagStorage;//是否入库
    private String inventoryQuantity;//库存数量
    private String numberFrozen;//冻结数量
    private String supplierName;//供应商名称

    public String getUniqueCode() {
        return uniqueCode;
    }

    public void setUniqueCode(String uniqueCode) {
        this.uniqueCode = uniqueCode;
    }

    public String getRequireCoding() {
        return requireCoding;
    }

    public void setRequireCoding(String requireCoding) {
        this.requireCoding = requireCoding;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getExpansionCode() {
        return expansionCode;
    }

    public void setExpansionCode(String expansionCode) {
        this.expansionCode = expansionCode;
    }

    public String getExpansionDescription() {
        return expansionDescription;
    }

    public void setExpansionDescription(String expansionDescription) {
        this.expansionDescription = expansionDescription;
    }

    public String getBigDescribe() {
        return bigDescribe;
    }

    public void setBigDescribe(String bigDescribe) {
        this.bigDescribe = bigDescribe;
    }

    public String getModerateDescribe() {
        return moderateDescribe;
    }

    public void setModerateDescribe(String moderateDescribe) {
        this.moderateDescribe = moderateDescribe;
    }

    public String getSmallDescribe() {
        return smallDescribe;
    }

    public void setSmallDescribe(String smallDescribe) {
        this.smallDescribe = smallDescribe;
    }

    public String getRequireNumber() {
        return requireNumber;
    }

    public void setRequireNumber(String requireNumber) {
        this.requireNumber = requireNumber;
    }

    public String getUtil() {
        return util;
    }

    public void setUtil(String util) {
        this.util = util;
    }

    public String getPlanToBatch() {
        return planToBatch;
    }

    public void setPlanToBatch(String planToBatch) {
        this.planToBatch = planToBatch;
    }
    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getDeliverySchedule() {
        return deliverySchedule;
    }
    @JsonFormat(pattern = "yyyy-MM-dd")
    public void setDeliverySchedule(Date deliverySchedule) {
        this.deliverySchedule = deliverySchedule;
    }

    public String getFlagStorage() {
        return flagStorage;
    }

    public void setFlagStorage(String flagStorage) {
        this.flagStorage = flagStorage;
    }
    public String getInventoryQuantity() {
        return inventoryQuantity;
    }
    public void setInventoryQuantity(String inventoryQuantity) {
        this.inventoryQuantity = inventoryQuantity;
    }

    public String getNumberFrozen() {
        return numberFrozen;
    }

    public void setNumberFrozen(String numberFrozen) {
        this.numberFrozen = numberFrozen;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }


    @Override
    public String toString() {
        return "MaterialPlan{" +
                "uniqueCode='" + uniqueCode + '\'' +
                ", requireCoding='" + requireCoding + '\'' +
                ", description='" + description + '\'' +
                ", expansionCode='" + expansionCode + '\'' +
                ", expansionDescription='" + expansionDescription + '\'' +
                ", bigDescribe='" + bigDescribe + '\'' +
                ", moderateDescribe='" + moderateDescribe + '\'' +
                ", smallDescribe='" + smallDescribe + '\'' +
                ", requireNumber='" + requireNumber + '\'' +
                ", util='" + util + '\'' +
                ", planToBatch='" + planToBatch + '\'' +
                ", deliverySchedule=" + deliverySchedule +
                ", flagStorage='" + flagStorage + '\'' +
                ", inventoryQuantity='" + inventoryQuantity + '\'' +
                ", numberFrozen='" + numberFrozen + '\'' +
                ", supplierName='" + supplierName + '\'' +
                '}';
    }
}
